factor.model {psych} | R Documentation

## Find R = F F' + U2 is the basic factor model

### Description

The basic factor or principal components model is that a correlation or covariance matrix may be reproduced by the product of a factor loading matrix times its transpose. Find this reproduced matrix. Used by `factor.fit`, `VSS`, `ICLUST`, etc.

### Usage

    factor.model(f,Phi=NULL,U2=TRUE)

### Arguments

`f` | A matrix of loadings.
`Phi` | A matrix of factor correlations
`U2` | Should the diagonal be model by ff' (U2 = TRUE) or replaced with 1's (U2 = FALSE)

### Value

A correlation or covariance matrix.

### Author(s)

revelle@northwestern.edu
https://personality-project.org/revelle.html

### References

Gorsuch, Richard, (1983) Factor Analysis. Lawrence Erlebaum Associates.
Revelle, W. In preparation) An Introduction to Psychometric Theory with applications in R (https://personality-project.org/r/book/)

### See Also

`ICLUST.graph`,`ICLUST.cluster`, `cluster.fit` , `VSS`, `omega`

### Examples

    f2 <- matrix(c(.9,.8,.7,rep(0,6),.6,.7,.8),ncol=2)
    mod <- factor.model(f2)
    round(mod,2)

[Package psych version 1.8.4 Index]